Planowanie regularnego uruchamiania zadań

Harmonogram zadań jest narzędziem umożliwiającym planowanie regularnego uruchamiania różnych programów (np. programu Defragmentator dysków) i innych narzędzi, zgodnie z wymaganiami użytkownika. Harmonogram zadań jest uruchamiany przy każdym uruchomieniu systemu Windows i działa w tle.

Narzędzie Harmonogram zadań można też otworzyć, klikając przycisk Start, wskazując polecenie Programy, wskazując polecenie Akcesoria, wskazując polecenie Narzędzia systemowe, a następnie klikając polecenie Harmonogram zadań.

Otwarcie Harmonogramu zadań umożliwia:

  • Zaplanowanie zadania tak, aby było uruchamiane codziennie, co tydzień, co miesiąc lub w określonym czasie (np. po uruchomieniu komputera lub w czasie jego bezczynności).
  • Zmianę harmonogramu zadania lub wyłączenie istniejącego zadania.
  • Dostosowanie sposobu uruchamiania zadania w zaplanowanym czasie.


Aby zaplanować nowe zadanie

  1. Kliknij przycisk Start, wskaż polecenie Programy, wskaż polecenie Akcesoria, wskaż polecenie Narzędzia systemowe, a następnie kliknij polecenie Harmonogram zadań.
  2. Kliknij dwukrotnie pozycję Dodaj zaplanowane zadanie.
  3. Postępuj zgodnie z instrukcjami wyświetlanymi przez Kreatora zaplanowanych zadań.

    4. Chcąc określić dla zadania ustawienia zaawansowane (takie jak wielokrotne uruchamianie zadania), zaznacz pole wyboru Otwórz okno Zaawansowane właściwości na ostatnim ekranie kreatora.

Uwagi

  • Jeśli program zadania wymaga podania parametrów, zaznacz pole wyboru Otwórz okno Zaawansowane właściwości na ostatnim ekranie kreatora, kliknij przycisk Zakończ, kliknij kartę Zadanie, a następnie wpisz je w polu Uruchom, po ścieżce zadania.
  • Zaplanowane zadanie zostanie uruchomione, niezależnie od tego, czy ktoś zalogował się do systemu Windows, jeżeli komputer będzie włączony. Nie chcąc, aby zadania były wykonywane, gdy żaden użytkownik nie jest zalogowany, przed wylogowaniem się otwórz folder Harmonogram zadań, kliknij menu Zaawansowane, a następnie kliknij polecenie Zatrzymaj pracę Harmonogramu zadań. Aby wznowić pracę Harmonogramu zadań, po ponownym zalogowaniu się otwórz folder Harmonogram zadań, kliknij menu Zaawansowane, a następnie kliknij polecenie Rozpocznij pracę Harmonogramu zadań.
  • Upewnij się, że systemowa data i godzina komputera są poprawne. Harmonogram zadań wykorzystuje te informacje, uruchamiając zaplanowane zadania. Aby zmienić datę i godzinę, kliknij dwukrotnie godzinę na pasku zadań.

Tematy pokrewne


Aby zmodyfikować zaplanowane zadanie

  1. Kliknij przycisk Start, wskaż polecenie Programy, wskaż polecenie Akcesoria, wskaż polecenie Narzędzia systemowe, a następnie kliknij polecenie Harmonogram zadań.
  2. Kliknij prawym przyciskiem myszy zadanie, które chcesz zmodyfikować, a następnie kliknij polecenie Właściwości.
  3. Wykonaj jedną lub więcej z następujących czynności:
    • Aby zmienić program, który należy uruchamiać, w polu Uruchom wpisz ścieżkę zadania lub kliknij przycisk Przeglądaj.
    • Aby zmienić harmonogram zadania, kliknij kartę Harmonogram.
    • Aby dostosować ustawienia zadania, kliknij kartę Ustawienia.

Uwagi

  • Jeśli program zadania wymaga określenia parametrów, wpisz je w polu Uruchom po ścieżce zadania.
  • Jeśli ścieżka do programu zadania zawiera spacje, umieść całą ścieżkę zadania w cudzysłowach (").


Aby usunąć zaplanowane zadanie

  1. Kliknij przycisk Start, wskaż polecenie Programy, wskaż polecenie Akcesoria, wskaż polecenie Narzędzia systemowe, a następnie kliknij polecenie Harmonogram zadań.
  2. Kliknij prawym przyciskiem myszy zadanie, które chcesz usunąć, a następnie kliknij polecenie Usuń.

Uwaga

  • Usunięcie zaplanowanego zadania usuwa tylko zadanie z folderu Harmonogram zadań. Program skojarzony z zadaniem nie jest usuwany z komputera.


Aby zatrzymać zaplanowane zadanie, które jest aktualnie uruchomione

  1. Kliknij przycisk Start, wskaż polecenie Programy, wskaż polecenie Akcesoria, wskaż polecenie Narzędzia systemowe, a następnie kliknij polecenie Harmonogram zadań.
  2. Kliknij prawym przyciskiem myszy zadanie, które chcesz zatrzymać, a następnie kliknij polecenie Zakończ zadanie.

Uwagi

  • Jeśli zaplanowane zadanie uruchamia inny program, polecenie to zatrzyma tylko pierwotnie zaplanowane zadanie, a nie drugie zadanie.
  • Aby ponownie uruchomić zadanie, kliknij je prawym przyciskiem myszy, a następnie kliknij polecenie Uruchom.
  • Zaplanowane zadanie będzie uruchamiane, dopóki komputer będzie włączony, niezależnie od tego, czy ktoś zalogował się do systemu Windows. Nie chcąc, aby zadania były uruchamiane, gdy żaden użytkownik nie jest zalogowany, przed wylogowaniem się otwórz folder Harmonogram zadań, kliknij menu Zaawansowane, a następnie kliknij polecenie Zatrzymaj pracę Harmonogramu zadań. Aby wznowić pracę Harmonogramu zadań, po ponownym zalogowaniu się otwórz folder Harmonogram zadań, kliknij menu Zaawansowane, a następnie kliknij polecenie Rozpocznij pracę Harmonogramu zadań.


Aby natychmiast uruchomić zadanie

  1. Kliknij przycisk Start, wskaż polecenie Programy, wskaż polecenie Akcesoria, wskaż polecenie Narzędzia systemowe, a następnie kliknij polecenie Harmonogram zadań.
  2. Kliknij prawym przyciskiem myszy zadanie, które chcesz uruchomić, a następnie kliknij polecenie Uruchom.

Uwagi

  • Zadanie można zakończyć, klikając menu Plik, a następnie klikając polecenie Zakończ zaplanowane zadanie.
  • Jeśli zadanie powinno zostać uruchomione, a nie zostało, sprawdź możliwe przyczyny w dzienniku. W menu Zaawansowane kliknij polecenie Pokaż dziennik.


Aby przejrzeć dziennik zadań zaplanowanych w przeszłości

  1. Kliknij przycisk Start, wskaż polecenie Programy, wskaż polecenie Akcesoria, wskaż polecenie Narzędzia systemowe, a następnie kliknij polecenie Harmonogram zadań.
  2. W menu Zaawansowane kliknij polecenie Pokaż dziennik.


Aby przejrzeć zaplanowane zadania na komputerze zdalnym

  1. Kliknij dwukrotnie ikonę Moje miejsca sieciowe.
  2. Kliknij dwukrotnie komputer, na którym chcesz przeglądać zaplanowane zadania.
  3. Kliknij dwukrotnie folder Harmonogram zadań.

Uwaga

  • Zadania na komputerze zdalnym można edytować tylko wtedy, gdy na tym komputerze zainstalowano oprogramowanie obsługujące zdalną pracę z Rejestrem i udostępniono udział x$, gdzie x jest dyskiem twardym, na którym znajduje się folder Harmonogram zadań. Komputer musi także określić listę kont użytkowników uprawnionych do dostępu zdalnego do Rejestru. Aby określić, którzy użytkownicy mogą mieć dostęp do rejestru zdalnego komputera, kliknij dwukrotnie ikonę Hasła w Panelu sterowania.


Aby czasowo wyłączyć wszystkie zaplanowane zadania

  1. Kliknij przycisk Start, wskaż polecenie Programy, wskaż polecenie Akcesoria, wskaż polecenie Narzędzia systemowe, a następnie kliknij polecenie Harmonogram zadań.
  2. W menu Zaawansowane kliknij polecenie Wstrzymaj pracę Harmonogramu zadań.

    Polecenie to jest użyteczne, jeśli jest uruchomiony inny program (na przykład gra) lub instalowane oprogramowanie i nie chcesz, aby w tym samym czasie uruchamiało się zadanie.

Uwagi

  • Zadania, które powinny zostać uruchomione podczas wstrzymania pracy Harmonogramu zadań, zostaną uruchomione dopiero po nadejściu kolejnego zaplanowanego dla nich terminu.
  • Aby wznowić harmonogramy wszystkich zadań, w menu Zaawansowane kliknij polecenie Wznów pracę Harmonogramu zadań.


Aby wyłączyć Harmonogram zadań

  1. Kliknij przycisk Start, wskaż polecenie Programy, wskaż polecenie Akcesoria, wskaż polecenie Narzędzia systemowe, a następnie kliknij polecenie Harmonogram zadań.
  2. W menu Zaawansowane kliknij polecenie Zatrzymaj pracę Harmonogramu zadań.

Uwaga

  • Po wyłączeniu Harmonogramu zadań zaplanowane zadania nie będą uruchamiane, a przy następnym uruchomieniu systemu Windows Harmonogram zadań nie zostanie uruchomiony automatycznie.


Rozwiązywanie problemów z Harmonogramem zadań

Jeśli zaplanowane zadanie nie jest uruchamiane wtedy, kiedy tego oczekujesz, kliknij je prawym przyciskiem myszy na liście zadań, a następnie kliknij polecenie Właściwości. Na karcie Zadanie upewnij się, że zaznaczono pole wyboru Włączone. Na karcie Harmonogram sprawdź, czy harmonogram jest ustawiony poprawnie.

Jeśli program zadania nie jest poprawnie uruchamiany, być może w poleceniu trzeba określić niezbędne argumenty. Aby dowiedzieć się więcej o programie i jego argumentach, spróbuj wykonać jedną z poniższych czynności:

  • Jeśli program wyposażono w pomoc online, zajrzyj do niej.
  • W wierszu polecenia spróbuj wpisać następujący tekst, gdzie program jest nazwą programu:
    program /?


Aby otworzyć folder Harmonogram zadań

  • Kliknij przycisk Start, wskaż polecenie Programy, wskaż polecenie Akcesoria, wskaż polecenie Narzędzia systemowe, a następnie kliknij polecenie Harmonogram zadań.